<app-gift-card-types></app-gift-card-types>
<div class="progress" id="scrollToCardDetails">
  <div class="progress-bar" role="progressbar" style="width: 65%" aria-valuenow="25" aria-valuemin="0"
    aria-valuemax="100"></div>
</div>

<div class="card-main">
  <div class="row">
    <div class="col-md-6">
      <div class="cotainer">
        <div class="cursor mb-2" (click)="back()">
          <svg width="18" height="12" viewBox="0 0 18 12" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" clip-rule="evenodd"
              d="M17.75 5.99981C17.75 6.16557 17.6842 6.32454 17.5669 6.44175C17.4497 6.55897 17.2908 6.62481 17.125 6.62481L2.38375 6.62481L6.3175 10.5573C6.43486 10.6747 6.50079 10.8338 6.50079 10.9998C6.50079 11.1658 6.43486 11.325 6.3175 11.4423C6.20014 11.5597 6.04097 11.6256 5.875 11.6256C5.70903 11.6256 5.54986 11.5597 5.4325 11.4423L0.432499 6.44231C0.374296 6.38425 0.328117 6.31528 0.29661 6.23935C0.265102 6.16342 0.248882 6.08202 0.248882 5.99981C0.248882 5.9176 0.265102 5.8362 0.29661 5.76027C0.328117 5.68434 0.374296 5.61537 0.432499 5.55731L5.4325 0.557312C5.54986 0.439954 5.70903 0.374023 5.875 0.374023C6.04097 0.374023 6.20014 0.439954 6.3175 0.557312C6.43486 0.674671 6.50079 0.833843 6.50079 0.999812C6.50079 1.16578 6.43486 1.32495 6.3175 1.44231L2.38375 5.37481L17.125 5.37481C17.2908 5.37481 17.4497 5.44066 17.5669 5.55787C17.6842 5.67508 17.75 5.83405 17.75 5.99981Z"
              fill="black" />
          </svg>

        </div>
        <div class="title">
          Receiver’s Information ({{users_Data.length == total_users ? users_Data.length : users_Data.length +
          1}}/{{total_users}})
        </div>
        <form [formGroup]="reactiveForm" autocomplete="off">
          <div [class.disabled]="!(updateIndex >= 0 && updateIndex != null) && (users_Data.length == total_users)">
            <div class="mb-3">
              <label for="name" class="">Receiver’s Name</label>
              <input autocomplete="off" type="text" class="form-control" id="name" placeholder="Enter receiver’s name"
                formControlName="name" [class.is-invalid]="f.name.invalid && f.name.touched"
                oninput="this.value = this.value.replace(/[^a-zA-Z ]|^ /g,'')">
              <app-error-messsages [form]="f.name"></app-error-messsages>
            </div>
            <div class="mb-3" [class.disabled]="is_equaly_divide">
              <label for="amount" class="">Enter Amount</label>
              <div id="amounthelp" class="form-label form-text">Maximum amount is ₦{{remaining_amount}}.</div>
              <div class="input-group mb-3" [class.is-invalid]="f.amount.invalid && f.amount.touched">
                <span class="input-group-text">₦</span>
                <input autocomplete="off" type="text" class="form-control" placeholder="Enter amount" formControlName="amount"
                  IsDecimal>
              </div>
              <app-error-messsages [form]="f.amount" [min]="'Minimum amount is ₦' + minimum_amount"
                [max]="'Maximum amount is ₦' + remaining_amount"></app-error-messsages>
            </div>
            <div class="mb-3">
              <label for="email" class="form-label">Receiver’s Email (optional)</label>
              <input autocomplete="off" type="email" class="form-control" id="email" placeholder="Enter email"
                formControlName="email" [class.is-invalid]="f.email.invalid && f.email.touched">
              <app-error-messsages [form]="f.email" pattern="Email is invalid"></app-error-messsages>
            </div>
            <div class="mb-3">
              <label for="telphone" class="form-label">Receiver’s Phone Number</label>
              <div>
                <app-phone-number autocomplete="off" formControlName="phone" (blur)="onBlur()"
                  (getPhoneData)="phoneData = $event" [class]="f.phone.invalid && f.phone.touched ? 'is-invalid' : ''">
                </app-phone-number>
                <app-error-messsages [form]="f.phone" invalid="Phone number is invalid"></app-error-messsages>
              </div>
            </div>
            <div class="mb-3">
              <label for="message" class="form-label">Personalized Message (optional)</label>
              <ckeditor data="Message" [config]="config" formControlName="desc"></ckeditor>
              <app-error-messsages [form]="f.desc"></app-error-messsages>
            </div>
          </div>
          <div class="d-flex" *ngIf="!(updateIndex >= 0 && updateIndex != null)">
            <button type="button" class="btn btn-primary-outline w-100"
              [disabled]="reactiveForm.invalid || users_Data.length == total_users" (click)="save()"> {{ updateIndex >=
              0 && updateIndex != null ? 'Update' : 'Add More'}} </button>
            <button type="button" (click)="goToSender()" class="btn btn-primary w-100 ms-4">Preview</button>
          </div>
          <div class="d-flex" *ngIf="(updateIndex >= 0 && updateIndex != null)">
            <button type="button" class="btn btn-primary-outline w-100" (click)="save()"> Update </button>
          </div>
        </form>
      </div>
    </div>
    <div class="col-md-6">
      <div class="container">
        <app-gift-card-image [amount]="amount"></app-gift-card-image>
        <div class="mt-3 container">
          <div class="card" *ngFor="let item of users_Data; let i= index">
            <div class="d-flex justify-content-between">
              <div style="word-break: break-all;">
                {{item.Name}} &nbsp; ₦{{item.Amount}}
              </div>
              <div style="margin-left: 20px; min-width: 60px;">
                <span class="cursor" *ngIf="!item.ishide" (click)="openEdit(item, i)"> <i class="fas fa-edit"></i>
                </span>
                <span class="ms-3 cursor" (click)="showDesc(i)"> <i class="fas fa-eye"></i> </span>
              </div>
            </div>
            <div class="card-desc" *ngIf="item.show">
              <p>Email : {{item.Email}}</p>
              <p>Mobile: {{item.MobileNo}}</p>
              <p>Message:</p>
              <div [innerHTML]="item.Description"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>